#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CDPARANOIA_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_mpegplay (library) ###################

tde_add_library( mpeg_mpegplay STATIC_PIC
  SOURCES
    mpegVideoHeader.cpp mpegVideoStream.cpp
    globals.cpp jrevdct.cpp
    recon.cpp decoderClass.cpp
    decoderTables.cpp motionVector.cpp
    slice.cpp gop.cpp
    mmxidct.cpp
    mpegSystemHeader.cpp mpegSystemStream.cpp
    picture.cpp mpegExtension.cpp
    macroBlock.cpp
    mpegVideoLength.cpp
    mpegVideoBitWindow.cpp videoDecoder.cpp
    copyFunctions_asm.cpp copyFunctions_mmx.cpp
    mmxidct_asm.S copyFunctions.cpp
    tsSystemStream.cpp psSystemStream.cpp
    pesSystemStream.cpp
)


##### other data ################################

install(
  FILES
    mpegSystemStream.h mpegVideoLength.h
    mpegSystemHeader.h tsSystemStream.h
    psSystemStream.h pesSystemStream.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/mpegutil
)
